Bug 540383 - Publican seems to be pre-processing .xml files in extras/
Publican seems to be pre-processing .xml files in extras/
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Hideo
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 03:46 EST by Darrin Mison
Modified: 2014-10-19 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 00:13:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2009-11-23 03:46:40 EST
Description of problem:

If I use <programlisting><xi:include href="extras/example.xml"  parse="text"/></programlisting> to pull in a .xml file from extras/ the XML file is included and does not cause a docbook error.  However the XML file is modified, the same as the XML files in the parent directory.  

My understanding was that files in extras/ were untouched.

Version-Release number of selected component (if applicable):
publican-jboss-1.0-0.el5
publican-ovirt-1.0-0.el5
publican-gimp-1.0-0.el5
perl-Publican-WebSite-1.0-0.el5
publican-1.2-0.el5
publican-redhat-internal-1.0-1.el5
publican-WebSite-obsoletes-1.14-1.el5
publican-fedora-1.0-0.el5
publican-doc-1.2-0.el5
publican-redhat-1.0-0.el5.t1


How reproducible:
every time 

Steps to Reproduce:
1. create an XML file in extras/ eg. example.xml with the content:
<juddi-users>
    <user userid="anou_mana" password="password" />
    <user userid="bozo" password="clown" />
    <user userid="sviens" password="password" />
</juddi-users>

2. <programlisting language="XML"><xi:include href="extras/example.xml"  parse="text" xmlns:xi="http://www.w3.org/2001/XInclude/></programlisting>
3. publican build --formats=html --langs=en-US
  
Actual results:

programlisting appears as:

<?xml version='1.' encoding='utf-8' ?>
<!DOCTYPE juddi-users PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
<!ENTITY % BOOK_ENTITIES SYSTEM "../jUDDI_User_Guide.ent">
%BOOK_ENTITIES;
]>
<juddi-users lang="en-US"><user password="password" userid="anou_mana"></user><user password="clown" userid="bozo"></user><user password="password" userid="sviens"></user></juddi-users>


Expected results:

<juddi-users>
    <user userid="anou_mana" password="password" />
    <user userid="bozo" password="clown" />
    <user userid="sviens" password="password" />
</juddi-users>

Other Info:
Current workaround is to use a different file extension for XML files.

I am fairly certain this might have been working correctly in a previous version, but I do not have any earlier versions installed to verify now.  I do remember testing it, but never actually updated any of my books to use it, so it could well have been a dream. ;-)
Comment 1 Jeff Fearn 2009-11-23 19:16:58 EST
Stopped build and clean_ids processes from touching xml files in extras.
Comment 2 Fedora Update System 2009-12-07 21:15:00 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 3 Fedora Update System 2009-12-07 21:18:20 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 4 Fedora Update System 2009-12-09 23:13:58 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-09 23:26:49 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.